### Function

# Shell get_file_contents_utf8_sync

since: 14

#### Declaration [src]

    char*
    shell_get_file_contents_utf8_sync (
      const char* path,
      GError** error
    )

#### Description [src]

Synchronously load the contents of a file as a NUL terminated string, validating it as UTF-8. Embedded NUL characters count as invalid content.

Available since: 14

#### Parameters

`path`

  Type: `const char*`

  UTF-8 encoded filename path.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `char*`

File contents.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.